<script>
    import { scaleLinear, scaleLog } from 'd3-scale';
    export let rangeMax;
    export let xsc;
    export let elec_sc;
    export let data = []
    export let leaf_w;
    export let leaf_h;
    export let gas_sc;
    
    let Elect_leaf = (d) => {
        let path = "M " + xsc(0) + "," + elec_sc(leaf_h)
        d.forEach((value, idx) => {
            path += " " + xsc(idx) + "," + elec_sc(value)
        })
        path += " " + xsc(168) + "," + elec_sc(leaf_h)
        path += " Z "
        return path;
    }

    let Gas_leaf = (d) => {
        let path = "M  " + xsc(0) + "," + gas_sc(1)
        d.forEach((value, idx) => {
            path += " " + xsc(idx) + "," + gas_sc(value)
        })
        path += " " + xsc(168) + "," + gas_sc(1)
        path += " "
        return path;
    }

    const margin = { top: 10, right: 10, bottom: 10, left: 10 };
    $: elec_sc = scaleLog().
                    domain([1*leaf_h, rangeMax]).
                    range([leaf_h/2,0 ])
    $: gas_sc = scaleLog().
                  domain([1, rangeMax]).
                  range([leaf_h/2, leaf_h])
    $: xsc = scaleLinear().domain([0, 24*7]).range([0, leaf_w])

</script>


<g transform="translate(2,0) rotate(-25 -5 40)" >
    <line class="midline" x1={-5} y1={leaf_h/2} x2={leaf_w} y2={leaf_h/2} />
    <path class="elect" d={Elect_leaf(data['total_electrity'])}  />
    <path class="gas" d={Gas_leaf(data['total_gas'])}  />

</g>

<style>
    
    
    path.elect {
        stroke: cornflowerblue;
        fill-opacity: 0.5;
        fill: url(#electPattern);
        fill: cornflowerblue;
    }
    path.gas {
        background-color: gold;
        stroke: gold;
        fill-opacity: 0.5;
        fill: url(#gasPattern);
        fill: gold;
    }
    line.midline {
        stroke: black;
        stroke-width: 3;
        stroke-opacity: 0.7;
    }
    

</style>